#!/bin/bash
#
# mongrel - Startup script for Mongrel.
#
# update-rc.d init-<app> defaults 92
#
# description: Starts or stops the application
# according to the policies for Linux startup scripts
#
CONF_DIR=<%=current_path%>

RETVAL=0
PATH=/usr/local/bin:$PATH
case "$1" in
start)
mongrel_rails start -d -p <%=mongrel_port%> -e production -c $CONF_DIR
RETVAL=$?
;;
stop)
mongrel_rails stop -c $CONF_DIR
RETVAL=$?
;;
restart)
mongrel_rails restart -c $CONF_DIR
RETVAL=$?
;;
*)
echo "Usage: init-<%=application%> {start|stop|restart}"
exit 1
;;
esac
exit $RETVAL